summaryrefslogtreecommitdiff
path: root/base-install.sh
diff options
context:
space:
mode:
authorAndreas Maunz <andreas@maunz.de>2011-04-11 09:10:00 +0200
committerAndreas Maunz <andreas@maunz.de>2011-04-11 09:10:00 +0200
commite2da541cecd308ee314267b33476c052f31e3204 (patch)
tree6d800c02dee9810607a4c4ee02399f579f7125f1 /base-install.sh
parent71634bcd25321761d79119971d703a67b0ac5d9f (diff)
Guarding dirs, Linking OB LIB to site_ruby
Diffstat (limited to 'base-install.sh')
-rw-r--r--base-install.sh1
1 files changed, 1 insertions, 0 deletions
diff --git a/base-install.sh b/base-install.sh
index 5e00708..2a4afb5 100644
--- a/base-install.sh
+++ b/base-install.sh
@@ -84,6 +84,7 @@ if [ ! -f $JAVA_CONF ]; then
echo "if echo \"\$JAVA_HOME\" | grep -v \"$OT_JAVA_HOME\">/dev/null 2>&1; then export JAVA_HOME=\"$OT_JAVA_HOME\"; fi" >> "$JAVA_CONF"
echo "if echo \"\$PATH\" | grep -v \"$OT_JAVA_HOME\">/dev/null 2>&1; then export PATH=\"$OT_JAVA_HOME:\$PATH\"; fi" >> "$JAVA_CONF"
+ echo "if ! [ -d \"\$JAVA_HOME\" ]; then echo \"\$0: '\$OT_JAVA_HOME' is not a directory!\"; fi" >> "$JAVA_CONF"
echo "Java configuration has been stored in '$JAVA_CONF'."
if ! grep "$JAVA_CONF" $OT_UI_CONF >/dev/null 2>&1; then